=== added directory 'mrp_bom_standard_price'
=== added file 'mrp_bom_standard_price/__init__.py'
--- mrp_bom_standard_price/__init__.py	1970-01-01 00:00:00 +0000
+++ mrp_bom_standard_price/__init__.py	2012-10-05 00:45:19 +0000
@@ -0,0 +1,23 @@
+#!/usr/bin/python
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#    Copyright (C) Vauxoo (<http://vauxoo.com>).
+#    All Rights Reserved
+###############Credits######################################################
+#    Coded by: Juan Carlos Funes(juan@vauxoo.com)
+#############################################################################
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+################################################################################
+import mrp_bom

=== added file 'mrp_bom_standard_price/__openerp__.py'
--- mrp_bom_standard_price/__openerp__.py	1970-01-01 00:00:00 +0000
+++ mrp_bom_standard_price/__openerp__.py	2012-10-05 00:45:19 +0000
@@ -0,0 +1,41 @@
+#!/usr/bin/python
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#    Copyright (C) Vauxoo (<http://vauxoo.com>).
+#    All Rights Reserved
+###############Credits######################################################
+#    Coded by: Juan Carlos Funes(juan@vauxoo.com)
+#############################################################################
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+################################################################################
+{
+    "name" : "This module inherits standard price field in mrp.bom",
+    "version" : "1.0",
+    "depends" : ['product','mrp'],
+    "author" : "Vauxoo",
+    #"license" : "AGPL-3",
+    "description" : """This module inherits standard price field in mrp.bom
+    """,
+    "website" : "http://vauxoo.com",
+    "category" : "Generic Modules",
+    "init_xml" : [],
+    "demo_xml" : [],
+    "test": [],
+    "update_xml" : ['mrp_bom_view.xml',
+    ],
+    "active": False,
+    "installable": True,
+}
+

=== added file 'mrp_bom_standard_price/mrp_bom.py'
--- mrp_bom_standard_price/mrp_bom.py	1970-01-01 00:00:00 +0000
+++ mrp_bom_standard_price/mrp_bom.py	2012-10-05 00:45:19 +0000
@@ -0,0 +1,33 @@
+#!/usr/bin/python
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#    Copyright (C) Vauxoo (<http://vauxoo.com>).
+#    All Rights Reserved
+###############Credits######################################################
+#    Coded by: Juan Carlos Funes(juan@vauxoo.com)
+#############################################################################
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+################################################################################
+from tools.translate import _
+from osv import fields, osv
+
+class mrp_bom(osv.osv):
+    _inherit = 'mrp.bom'
+    
+    _columns = {
+        'standard_price': fields.related('product_id', 'standard_price', type='float', relation='product.template', string='Cost price', store=True),
+    }
+mrp_bom()
+

=== added file 'mrp_bom_standard_price/mrp_bom_view.xml'
--- mrp_bom_standard_price/mrp_bom_view.xml	1970-01-01 00:00:00 +0000
+++ mrp_bom_standard_price/mrp_bom_view.xml	2012-10-05 00:45:19 +0000
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+    <data>
+        
+        <record id="view_mrp_bom_inh" model="ir.ui.view">
+            <field name="name">mrp.bom.inh</field>
+            <field name="model">mrp.bom</field>
+            <field name="type">tree</field>
+            <field name="inherit_id" ref="mrp.mrp_bom_component_tree_view"/>
+            <field name="arch" type="xml">
+                <xpath expr="/tree/field[@name='name']" position="after">
+                    <field name="standard_price"/>
+                </xpath>
+            </field>
+        </record>
+        
+    </data>
+</openerp>

